<?php

use WSCOMUN\WSComunFClient;

ini_set("soap.wsdl_cache_enabled", 0);


require_once '../../include/WSComunFClient.php';
$keyGDE2 		= WSComunFClient::KEYCLIENTE_GDE2;



/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyGDE2 => 'https://instrumental-pre.gva.es/pai_bus_ins/GDE/GDEService_v2_00?wsdl'	// Instrumentales
		//$keyGDE2 => 		'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/GDE/GdeWSService_v2_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_opciones = array
(
	'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
	'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
	'passPhrase'=> null,
	'idApp'=>	'GASPAR' //'idApp' => 'RABAC'	//'idApp'=>	'WSCOMUN'
);

//Parametros de invocacin generales
$codApp = 'GASP'; //'RABA'; //'GASP';
$refDoc = 'GASP14223529-ac94-4020-809a-6577de2aad28';


try
{
	set_time_limit(120);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_GDE2, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);
	$respuestaGDE2 = $clienteSIRCA->obtenerDocumentoGDE2($codApp, $refDoc, '1');

	if (isset($respuestaGDE2['respuesta']['borrado']) && ($respuestaGDE2['respuesta']['borrado'] != 'false'))
	{
		print "El documento fue borrado";
		exit;
	}

	$contenidoB64 = $respuestaGDE2['respuesta']['contenido'];
	$nombre = utf8_decode(str_replace(' ', '_', $respuestaGDE2['respuesta']['nombre']));

	$tipoMime = get_mime_type($nombre);


	if (strlen($contenidoB64) > 3000000) //Si son ms de 3Mb lo enviamos al navegador
	{
		$contenido = base64_decode($contenidoB64);
		ob_end_clean();
		ob_start();
		header("Content-Type: $tipoMime");
		header("Content-Disposition: attachment; filename=$nombre");
		header('Expires: 0');
		header('Pragma: cache');
		header('Cache-Control: private');
		echo $contenido;
		ob_end_flush();
		die;
	}
	else
	{
		echo "<script>";
		echo "var base = '.$contenidoB64.';";
		echo 'function abrirFichero(){w = window.open("data:'.$tipoMime.';base64,'.$contenidoB64.'");w.document.title="Fichero '.$nombre.'"}';
		echo '</script>';
		echo "<p>Datos del documento: $nombre</p>";
		echo "<pre>".print_r($respuestaGDE2,true)."</p><br>";
		echo '<a href="#" onClick="abrirFichero()">Abrir Fichero</a></p>';
	}
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

function get_mime_type($nombre)
{
	$tipoMime = 'application/octet-stream';
	$fileExtension = pathinfo($nombre, PATHINFO_EXTENSION);
	//Vector de tipos MIME
	$mime_types = array
	(
			//texto
			'txt' => 'text/plain',	'htm' => 'text/html',	'html' => 'text/html',
			'phps' => 'text/html', 	'css' => 'text/css', 	'js' => 'application/javascript',
			'json' => 'application/json',	'xml' => 'application/xml',	'csv' => 'text/csv',
			// imgenes
			'png' => 'image/png',	'jpe' => 'image/jpeg',	'jpeg' => 'image/jpeg',
			'jpg' => 'image/jpeg',	'gif' => 'image/gif',	'bmp' => 'image/bmp',
			'ico' => 'image/vnd.microsoft.icon', 			'tiff' => 'image/tiff',
			'tif' => 'image/tiff', 	'svg' => 'image/svg+xml','svgz' => 'image/svg+xml',
			// archivos
			'zip' => 'application/zip',	'rar' => 'application/x-rar-compressed',
			'exe' => 'application/x-msdownload', 'msi' => 'application/x-msdownload',
			'cab' => 'application/vnd.ms-cab-compressed', 'tgz' => 'application/tar+gzip',
			'tar.gz' => 'application/tar+gzip', 'tar' => 'application/tar',
			'gz' => 'application/gzip', '7z' => 'application/x-7z-compressed',
			's7z' => 'application/x-7z-compressed',
			// audio/video
			'mp3' => 'audio/mpeg',	'qt' => 'video/quicktime',	'mov' => 'video/quicktime',
			'mpeg' => 'video/mpeg',	'avi' => 'video/x-msvideo',	'swf' => 'application/x-shockwave-flash',
			'flv' => 'video/x-flv',
			// adobe
			'pdf' => 'application/pdf',	'psd' => 'image/vnd.adobe.photoshop',
			'ai' => 'application/postscript',	'eps' => 'application/postscript',
			'ps' => 'application/postscript',
			// MSOffice
			'doc' => 'application/msword', 	'dot' => 'application/msword',
			'docx' => 'application/msword', 'rtf' => 'application/rtf',
			'xls' => 'application/vnd.ms-excel', 'xlsx' => 'application/vnd.ms-excel',
			'xlm' => 'application/vnd.ms-excel', 'xla' => 'application/vnd.ms-excel',
			'xlc' => 'application/vnd.ms-excel', 'xlt' => 'application/vnd.ms-excel',
			'xlw' => 'application/vnd.ms-excel',
			'ppt' => 'application/vnd.ms-powerpoint', 'pptx' => 'application/vnd.ms-powerpoint',
			'pps' => 'application/vnd.ms-powerpoint', 'pot' => 'application/vnd.ms-powerpoint',
			// libreOffice
			'odc' => 'application/vnd.oasis.opendocument.chart',
			'otc' => 'application/vnd.oasis.opendocument.chart-template',
			'odf' => 'application/vnd.oasis.opendocument.formula',
			'otf' => 'application/vnd.oasis.opendocument.formula-template',
			'odg' => 'application/vnd.oasis.opendocument.graphics',
			'otg' => 'application/vnd.oasis.opendocument.graphics-template',
			'odi' => 'application/vnd.oasis.opendocument.image',
			'oti' => 'application/vnd.oasis.opendocument.image-template',
			'odp' => 'application/vnd.oasis.opendocument.presentation',
			'otp' => 'application/vnd.oasis.opendocument.presentation-template',
			'ods' => 'application/vnd.oasis.opendocument.spreadsheet',
			'ots' => 'application/vnd.oasis.opendocument.spreadsheet-template',
			'odt' => 'application/vnd.oasis.opendocument.text',
			'otm' => 'application/vnd.oasis.opendocument.text-master',
			'ott' => 'application/vnd.oasis.opendocument.text-template',
			'oth' => 'application/vnd.oasis.opendocument.text-web',
			//VCards...
			'vcf' => 'text/vcard',
			'ics' => 'text/calendar',
	);

	//Si la extensin se contempla en nuestro vector de tipos...
	if (array_key_exists($fileExtension, $mime_types))
	{
		$tipoMime = $mime_types[$fileExtension];
	}

	return $tipoMime;
}



?>